
%{
#include "y.tab.c"
%}

DIGIT	[0-9]
VARIABLE	[a-zA-Z]

%%
{DIGIT}+		{ yylval.value = atoi (yytext); return NUMBER; }
{VARIABLE}	{ yylval.value = yytext[0]; return VAR; }
"cons"		{ return CONS; }
"car"			{ return CAR; }
"cdr"			{ return CDR; }
"list"		{ return LIST; }
"setq"		{ return SETQ; }
"(bye)"		{ printf ("Bye !\n"); exit (0); }
"(symtab)"	{ return SYMTAB; }
\n				{ return yytext[0]; }
" "|\t
.				{ return yytext[0]; }
%%

int main (int argc, char** argv)
{
	printf ("-------------------------------\n");
	printf ("Common Lisp (clisp) interpretor\n");
	printf ("-------------------------------\n");
	printf ("myLISP> ");
	yyparse ();
	return 0;
}